<?xml version="1.0" encoding="UTF-8"?>
<ksdk:examples xmlns:ksdk="http://nxp.com/ksdk/2.0/ksdk_manifest_v3.0.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://nxp.com/ksdk/2.0/ksdk_manifest_v3.0.xsd manifest.xsd">
  <externalDefinitions>
    <definition extID="com.nxp.mcuxpresso"/>
    <definition extID="middleware.multicore.erpc.eRPC_common_src.MK64F12"/>
    <definition extID="middleware.multicore.erpc.eRPC_includes.MK64F12"/>
    <definition extID="middleware.multicore.erpc.eRPC_port_stdlib.MK64F12"/>
    <definition extID="middleware.multicore.erpc.eRPC_server.MK64F12"/>
    <definition extID="middleware.multicore.erpc.eRPC_uart_cmsis_transport.MK64F12"/>
    <definition extID="platform.devices.MK64F12_CMSIS.MK64F12"/>
    <definition extID="platform.devices.MK64F12_startup.MK64F12"/>
    <definition extID="platform.drivers.adc16.MK64F12"/>
    <definition extID="platform.drivers.clock.MK64F12"/>
    <definition extID="platform.drivers.common.MK64F12"/>
    <definition extID="platform.drivers.dac.MK64F12"/>
    <definition extID="platform.drivers.dmamux.MK64F12"/>
    <definition extID="platform.drivers.edma.MK64F12"/>
    <definition extID="platform.drivers.flash.MK64F12"/>
    <definition extID="platform.drivers.gpio.MK64F12"/>
    <definition extID="platform.drivers.i2c.MK64F12"/>
    <definition extID="platform.drivers.port.MK64F12"/>
    <definition extID="platform.drivers.smc.MK64F12"/>
    <definition extID="platform.drivers.uart.MK64F12"/>
    <definition extID="platform.drivers.uart_cmsis.MK64F12"/>
    <definition extID="platform.utilities.debug_console.MK64F12"/>
    <definition extID="iar"/>
    <definition extID="mdk"/>
    <definition extID="armgcc"/>
    <definition extID="kds"/>
    <definition extID="mcuxpresso"/>
    <definition extID="drt"/>
  </externalDefinitions>
  <example id="frdmk64f_multiprocessor_examples_erpc_server_dac_adc" name="erpc_server_dac_adc" category="multiprocessor_examples" dependency="platform.drivers.uart.MK64F12 platform.drivers.uart_cmsis.MK64F12 platform.drivers.dac.MK64F12 platform.drivers.gpio.MK64F12 platform.drivers.port.MK64F12 platform.drivers.i2c.MK64F12 platform.drivers.adc16.MK64F12 platform.drivers.edma.MK64F12 platform.drivers.dmamux.MK64F12 middleware.multicore.erpc.eRPC_server.MK64F12 middleware.multicore.erpc.eRPC_uart_cmsis_transport.MK64F12 middleware.multicore.erpc.eRPC_port_stdlib.MK64F12 platform.drivers.common.MK64F12 platform.utilities.debug_console.MK64F12 platform.devices.MK64F12_CMSIS.MK64F12 middleware.multicore.erpc.eRPC_includes.MK64F12 middleware.multicore.erpc.eRPC_common_src.MK64F12 platform.drivers.smc.MK64F12 platform.drivers.flash.MK64F12 platform.drivers.clock.MK64F12 platform.devices.MK64F12_startup.MK64F12" toolchain="iar mdk armgcc kds mcuxpresso drt">
    <projects>
      <project type="com.crt.advproject.projecttype.exe" nature="org.eclipse.cdt.core.ccnature"/>
    </projects>
    <toolchainSettings>
      <toolchainSetting id_refs="com.nxp.mcuxpresso">
        <!-- asm -->
        <option id="com.crt.advproject.gas.fpu" type="enum">
          <value>com.crt.advproject.gas.fpu.fpv4.hard</value>
        </option>
        <option id="gnu.both.asm.option.warnings.nowarn" type="boolean">
          <value>false</value>
        </option>
        <!-- gcc -->
        <option id="com.crt.advproject.gcc.fpu" type="string">
          <value>com.crt.advproject.gcc.fpu.fpv4.hard</value>
        </option>
        <option id="com.crt.advproject.c.misc.dialect" type="enum">
          <value>com.crt.advproject.misc.dialect.gnu99</value>
        </option>
        <option id="com.crt.advproject.gcc.exe.debug.option.debugging.level" type="enum">
          <value>gnu.c.debugging.level.default</value>
        </option>
        <option id="com.crt.advproject.gcc.exe.release.option.debugging.level" type="enum">
          <value>gnu.c.debugging.level.default</value>
        </option>
        <option id="gnu.c.compiler.option.warnings.nowarn" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.compiler.option.warnings.allwarn" type="boolean">
          <value>true</value>
        </option>
        <option id="gnu.c.compiler.option.warnings.extrawarn" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.compiler.option.warnings.wconversion" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.compiler.option.warnings.toerrors" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.compiler.option.preprocessor.def.symbols" type="stringList">
          <value>DEBUG</value>
          <value>CPU_MK64FN1M0VLL12</value>
          <value>PRINTF_FLOAT_ENABLE=1</value>
          <value>PRINTF_ADVANCED_ENABLE=1</value>
          <value>FRDM_K64F</value>
          <value>FREEDOM</value>
        </option>
        <option id="gnu.c.compiler.option.optimization.flags" type="string">
          <value>-fno-common</value>
        </option>
        <option id="gnu.c.compiler.option.misc.other" type="enum">
          <value>-c  -ffunction-sections  -fdata-sections  -ffreestanding  -fno-builtin</value>
        </option>
        <option id="gnu.c.compiler.option.preprocessor.nostdinc" type="boolean">
          <value>false</value>
        </option>
        <!-- cpp -->
        <option id="com.crt.advproject.cpp.fpu" type="string">
          <value>com.crt.advproject.cpp.fpu.fpv4.hard</value>
        </option>
        <option id="com.crt.advproject.cpp.misc.dialect" type="enum">
          <value>com.crt.advproject.misc.dialect.gnupp11</value>
        </option>
        <option id="com.crt.advproject.cpp.exe.debug.option.debugging.level" type="enum">
          <value>gnu.cpp.debugging.level.default</value>
        </option>
        <option id="com.crt.advproject.cpp.exe.release.option.debugging.level" type="enum">
          <value>gnu.cpp.debugging.level.default</value>
        </option>
        <option id="gnu.cpp.compiler.option.warnings.nowarn" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.cpp.compiler.option.warnings.allwarn" type="boolean">
          <value>true</value>
        </option>
        <option id="gnu.cpp.compiler.option.warnings.extrawarn" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.cpp.compiler.option.warnings.wconversion" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.cpp.compiler.option.warnings.toerrors" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.cpp.compiler.option.preprocessor.def" type="stringList">
          <value>DEBUG</value>
          <value>CPU_MK64FN1M0VLL12</value>
        </option>
        <option id="gnu.cpp.compiler.option.optimization.flags" type="string">
          <value>-fno-common</value>
        </option>
        <option id="gnu.cpp.compiler.option.other.other" type="enum">
          <value>-c  -ffunction-sections  -fdata-sections  -ffreestanding  -fno-builtin  -fno-rtti  -fno-exceptions</value>
        </option>
        <option id="gnu.cpp.compiler.option.preprocessor.nostdinc" type="boolean">
          <value>false</value>
        </option>
        <!-- cpp linker -->
        <option id="com.crt.advproject.link.cpp.fpu" type="enum">
          <value>com.crt.advproject.link.cpp.fpu.fpv4.hard</value>
        </option>
        <option id="gnu.cpp.link.option.nostart" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.cpp.link.option.nodeflibs" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.cpp.link.option.nostdlibs" type="boolean">
          <value>true</value>
        </option>
        <option id="gnu.cpp.link.option.strip" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.cpp.link.option.other" type="stringList">
          <value>--gc-sections</value>
        </option>
        <option id="com.crt.advproject.link.memory.heapAndStack.cpp" type="string">
          <value>&amp;Heap:Default;Default;0x2000&amp;Stack:Default;Default;0x400</value>
        </option>
        <option id="gnu.cpp.link.option.flags" type="string">
          <value>-g  -Wall  --specs=nano.specs  -fno-common  -ffunction-sections  -fdata-sections  -ffreestanding  -fno-builtin</value>
        </option>
      </toolchainSetting>
    </toolchainSettings>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_common" target_path="erpc" type="c_include">
      <files mask="erpc_error_handler.h"/>
    </source>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_common" target_path="erpc" type="src">
      <files mask="erpc_error_handler.cpp"/>
    </source>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_server_dac_adc/service" target_path="erpc/service" type="c_include">
      <files mask="erpc_dac_adc.h"/>
      <files mask="erpc_dac_adc_server.h"/>
    </source>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_server_dac_adc/service" target_path="erpc/service" type="src">
      <files mask="erpc_dac_adc_server.cpp"/>
    </source>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_server_dac_adc" target_path="accel" type="c_include">
      <files mask="fsl_fxos.h"/>
    </source>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_server_dac_adc" target_path="accel" type="src">
      <files mask="fsl_fxos.c"/>
      <files mask="fxos.c"/>
    </source>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_server_dac_adc" target_path="board" type="c_include">
      <files mask="RTE_Device.h"/>
      <files mask="board.h"/>
      <files mask="clock_config.h"/>
      <files mask="pin_mux.h"/>
    </source>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_server_dac_adc" target_path="board" type="src">
      <files mask="board.c"/>
      <files mask="clock_config.c"/>
      <files mask="pin_mux.c"/>
    </source>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_server_dac_adc" target_path="doc" type="doc">
      <files mask="readme.txt"/>
    </source>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_server_dac_adc" target_path="source" type="c_include">
      <files mask="erpc_config.h"/>
    </source>
    <source path="boards/frdmk64f/multiprocessor_examples/erpc_server_dac_adc" target_path="source" type="src">
      <files mask="main_server.c"/>
    </source>
  </example>
</ksdk:examples>
